//
// Created by luowei on 2019/10/8.
// KOOPay SDK Version 1.5.0.
//

#import <Foundation/Foundation.h>

@interface KOOPay : NSObject

@property(nonatomic, copy) void (^callback)(NSDictionary *);
@property(nonatomic, strong) NSMutableDictionary *ckDict;

@property(nonatomic, strong) UINavigationController *navigationController;

+ (KOOPay *)shareInstance;

+ (void)enterWithNavigationController:(UINavigationController *)navigationController param:(NSDictionary *)dictionary callback:(void (^)(NSDictionary *result))callback;
+ (void)enterWithParam:(NSDictionary *)dictionary callback:(void (^)(NSDictionary *result))callback;

+ (void)showLiveNessWithTypeList:(NSArray *)typeList callback:(void (^)(NSString *))callback;
+ (void)showContactPickerWithContactCallback:(void (^)(NSString *))contactCallback;

+ (NSString *)deviceId;

+ (void)showLoading;
+ (void)hideLoading;
+ (void)showToastText:(NSString *)toastText duration:(NSTimeInterval)duration;

+ (void)setPresentMode:(BOOL)needPresent;
+(BOOL)presentMode;

@end
